RZ_TEST(1)

NAME
rz-test - rizin regression testsuite

SYNOPSIS
rz-test [-h] [-i] [-n] [-q] [-v] [-V] [-j threads] [-r rz-path] [-m rz-asm-pth] [-f bin-for-json-tests] [-C chdir] [[test-(dir|file) ...]]

DESCRIPTION
Run all the rizin-regressions tests matching a specific word in the name.

You need rizin to be available in $PATH.

OPTIONS

-h  Show the help/usage message

-i  Interactive mode

-n  Do not run any test, just load/parse them

-q  Quiet mode (use like this: rz-test -qv)

-v  Show version number

-V  Be verbose

-j threads
    Specify the number of tasks to run in parallel

-r rz-path
    Set path to rizin executable

-n rz-asm-path
    Set path to rz-asmexecutable

-m rz-asm-path
    Set path to rz-asmexecutable

-f bin-for-json-tests
    Load the given binary when running the JSON tests

-C directory
    Early chdir before running any test

USAGE

Use the -n flag to dont run any test. Just load them.

$ rz-test -n [rz-test] Loading tests...

SEE ALSO

rizin(1), rz-hash(1), rz-find(1), rz-bin(1), rz-find(1), rz-diff(1), rz-asm(1),

AUTHORS

Written by pancake <pancake@nopcode.org>.